package com.huawei.hwmdemo.vision.dependency;

import com.huawei.conflogic.HwmCallAllExternalAttendeesInfo;
import com.huawei.hwmconf.sdk.model.conf.entity.HWMCorpConfigInfo;
import com.huawei.hwmsdk.enums.ConfRole;
import com.huawei.hwmsdk.enums.LoginState;
import com.huawei.hwmsdk.enums.ShareWatchingStatus;
import com.huawei.hwmsdk.enums.UserCorpInfoNotifyType;
import com.huawei.hwmsdk.model.result.AddAttendeeResultList;
import com.huawei.hwmsdk.model.result.RealTimeSubtitle;
import com.huawei.hwmsdk.model.result.ShareVmrInfo;
import com.huawei.hwmsdk.model.result.ConfIncomingInfo;
import com.huawei.hwmsdk.model.result.AttendeeInfo;
import com.huawei.hwmdemo.view.sdk.IPairCodeChangedListener;
import com.huawei.hwmdemo.view.sdk.IConfListUpdate;
import com.huawei.hwmconf.sdk.model.conf.entity.OperateExternalInviteeInfo;
import com.huawei.hwmconf.sdk.model.conf.entity.ConfBaseInfo;
import com.huawei.hwmbiz.BizNotificationHandler;
import com.huawei.hwmsdk.model.result.SubtitleRecordInfo;

import java.util.List;

public class CustomVisionBizNotificationHandle implements BizNotificationHandler {

    @Override
    public void onOperateExternalAttendeeNotify(OperateExternalInviteeInfo operateExternalInviteeInfo) {

    }

    @Override
    public void onAddAttendeeNotify(AddAttendeeResultList resultList) {

    }

    @Override
    public void OnCallAllExternalAttendeesNotify(HwmCallAllExternalAttendeesInfo hwmCallAllExternalAttendeesInfo) {

    }

    @Override
    public void onPairCodeChangedNotify(String pairCode) {

    }

    @Override
    public void onShareVmrInfoNotify(ShareVmrInfo shareVmrInfo) {

    }

    @Override
    public void onSelfShareStateChanged(boolean isShare) {

    }

    @Override
    public void onWatchingShareStatusChanged(int userId, ShareWatchingStatus status) {

    }

    @Override
    public void onConfIncomingNotify(ConfIncomingInfo confIncomingInfo) {

    }

    @Override
    public void onRecordTypeChanged(int recordType) {

    }

    @Override
    public void onAIConfRecordStateChanged(int aiRecState) {

    }

    @Override
    public void onBookConfSmsPermissionChanged(boolean hasPermission) {

    }

    @Override
    public void onRecordPermissionChanged(boolean hasPermission) {

    }

    @Override
    public void onAttendeeListChanged(List<AttendeeInfo> attendeeInfoList) {

    }

    @Override
    public void onWaitingListChanged(List<AttendeeInfo> waitingInfoList) {

    }

    @Override
    public void onIsSelfChairManChanged(boolean isSelfChairMan) {

    }

    @Override
    public void onConfListChanged(List<ConfBaseInfo> hwmConfList) {

    }

    @Override
    public void onSelfRoleChangedNotify(ConfRole confRole) {

    }

    @Override
    public void onWaitingRoomStateChanged(boolean isOpen) {

    }

    @Override
    public void onSubtitleStateChanged(boolean isOpen) {

    }

    @Override
    public void onCorpConfigNotify(HWMCorpConfigInfo corpConfigInfo) {

    }

    @Override
    public void OnUserCorpInfoNotify(UserCorpInfoNotifyType type) {

    }

    @Override
    public void onRealTimeSubtitleInfoNotify(RealTimeSubtitle realTimeSubtitle) {

    }

    @Override
    public void onSubtitleRecordNotify(SubtitleRecordInfo subtitleRecordInfo) {

    }

    public static void removeConfListChangedListener(IConfListUpdate confListUpdate) {

    }

    public static void removePairCodeChangedListener(IPairCodeChangedListener pairCodeChangedListener) {

    }

    public static void registerPairCodeChangedListener(IPairCodeChangedListener pairCodeChangedListener) {

    }

    public static void registerConfListChangedListener(IConfListUpdate confListUpdate) {

    }

    @Override
    public void onLoginStateChangeNotify(LoginState loginState) {

    }
}
